View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000779Ecere SDKide:designerpublic2013-01-18 08:512013-08-07 03:33
Reporternicktick 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000779: Drag a derived UI control into other control in designer would always cause IDE crashed.
DescriptionStep to produce the bug:
(1) define a derived class from inner UI control, e.g. a Picture control.
class CustomPicture : Picture
{
   bool noUse;
}

(2)Drag the CustomPicture control into any control in designer will always cause IDE crashed.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000664)
nicktick (reporter)
2013-01-18 09:01

How to bypass the problem:

(1) Drag a base control(e.g. the Picture control ) from ToolBox into the designer.

(2) Change the Picture control's class definition into what you want to in IDE code editor.
(0000666)
jerome (administrator)
2013-02-08 02:30

Fixed by https://github.com/ecere/sdk/commit/314fabd60f4df646937fdc886614848ff68caa16 [^]

- Issue History
Date Modified Username Field Change
2013-01-18 08:51 nicktick New Issue
2013-01-18 08:53 jerome Priority normal => immediate
2013-01-18 08:53 jerome Status new => acknowledged
2013-01-18 08:53 jerome Target Version => 0.44.1 Android
2013-01-18 09:01 nicktick Note Added: 0000664
2013-02-08 02:30 jerome Status acknowledged => resolved
2013-02-08 02:30 jerome Fixed in Version => 0.44.1 Android
2013-02-08 02:30 jerome Resolution open => fixed
2013-02-08 02:30 jerome Assigned To => jerome
2013-02-08 02:30 jerome Note Added: 0000666
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker